#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-1NqDHpTXPNV5CbQxVjdWC5
key:                  persistent-test-2.13.1.3-1NqDHpTXPNV5CbQxVjdWC5
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  d39cbc63681e9edd9ed2b82d6501d263
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-1NqDHpTXPNV5CbQxVjdWC5
depends:
    HUnit-1.6.2.0-4gkKXmDNQefEQuipMNWISY
    QuickCheck-2.14.3-J0ejVxF0pWfG4YkvYql6Th
    aeson-2.1.2.1-6T3arzxZmxGLR0VNwk73dB base-4.16.4.0
    blaze-html-0.9.2.0-EKX5Bcs8cNsBbzyW2X6ooB bytestring-0.11.4.0
    conduit-1.3.6-82Gu2T8S3TB2aOwHNCh3AQ containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-LRnvETQ2SY36dMatWZrO5g
    hspec-expectations-0.8.3-53KTMpuZLbD4EdixkL29oj
    http-api-data-0.5.1-9dJv3pwUjLpJCgM7US26jc
    monad-control-1.0.3.1-1ClZOZVlTqg6Ef9Mxvo1Hw
    monad-logger-0.3.40-By1xQtTI8zGBMS46t5KtdD mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-Fu8l5REgY0g9brnSUIlDFN
    quickcheck-instances-0.3.30-HOhWsRBfTG9Ij32vZaRScd
    random-1.2.1.2-A1nmgsccnvnI4hMd5jmfsN
    resourcet-1.2.6-71LGZUcD68R8E1UYt6nywq text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-DPDhSDDoxcO6w9Yyuuiw9R
    unliftio-0.2.25.0-BTZsTmRO5MMERl490t8n4B
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-EKpOBluUqpuDOTuVUTImll

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

